Bug 151710 - FTL B3 should support OSR exit
Summary: FTL B3 should support OSR exit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Filip Pizlo
URL:
Keywords:
Depends on: 151718
Blocks: 151808
  Show dependency treegraph
 
Reported: 2015-12-01 11:05 PST by Filip Pizlo
Modified: 2015-12-03 12:02 PST (History)
14 users (show)

See Also:


Attachments
work in progress (30.07 KB, patch)
2015-12-01 13:04 PST, Filip Pizlo
no flags Details | Formatted Diff | Diff
might be done (41.17 KB, patch)
2015-12-01 20:56 PST, Filip Pizlo
no flags Details | Formatted Diff | Diff
a bit more (50.54 KB, patch)
2015-12-02 14:58 PST, Filip Pizlo
no flags Details | Formatted Diff | Diff
wow it compiles! (58.82 KB, patch)
2015-12-02 15:40 PST, Filip Pizlo
no flags Details | Formatted Diff | Diff
it ran a program (69.14 KB, patch)
2015-12-02 20:00 PST, Filip Pizlo
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (1.01 MB, application/zip)
2015-12-02 20:43 PST, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-yosemite-wk2 (1.06 MB, application/zip)
2015-12-02 20:47 PST, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-yosemite (1.18 MB, application/zip)
2015-12-02 20:49 PST, Build Bot
no flags Details
the patch (82.27 KB, patch)
2015-12-02 22:11 PST, Filip Pizlo
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Pizlo 2015-12-01 11:05:31 PST
Patch forthcoming.
Comment 1 Filip Pizlo 2015-12-01 13:04:56 PST
Created attachment 266381 [details]
work in progress
Comment 2 Filip Pizlo 2015-12-01 20:56:23 PST
Created attachment 266426 [details]
might be done
Comment 3 Filip Pizlo 2015-12-02 14:58:14 PST
Created attachment 266476 [details]
a bit more
Comment 4 Filip Pizlo 2015-12-02 15:40:16 PST
Created attachment 266480 [details]
wow it compiles!
Comment 5 Filip Pizlo 2015-12-02 20:00:29 PST
Created attachment 266502 [details]
it ran a program
Comment 6 Filip Pizlo 2015-12-02 20:00:45 PST
Comment on attachment 266502 [details]
it ran a program

Ooops, not meant to be r?
Comment 7 Filip Pizlo 2015-12-02 20:01:04 PST
Comment on attachment 266502 [details]
it ran a program

This is starting to work.
Comment 8 WebKit Commit Bot 2015-12-02 20:02:35 PST
Attachment 266502 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/ftl/FTLOSRExitHandle.cpp:43:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/ftl/FTLOSRExitCompiler.cpp:242:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/ftl/FTLLowerDFGToLLVM.cpp:9326:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/ftl/FTLOSRExit.cpp:92:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/ftl/FTLOSRExit.cpp:117:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/ftl/FTLOSRExit.cpp:122:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
Total errors found: 6 in 26 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Build Bot 2015-12-02 20:43:44 PST
Comment on attachment 266502 [details]
it ran a program

Attachment 266502 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/509425

Number of test failures exceeded the failure limit.
Comment 10 Build Bot 2015-12-02 20:43:47 PST
Created attachment 266503 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 11 Build Bot 2015-12-02 20:47:21 PST
Comment on attachment 266502 [details]
it ran a program

Attachment 266502 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/509427

Number of test failures exceeded the failure limit.
Comment 12 Build Bot 2015-12-02 20:47:23 PST
Created attachment 266504 [details]
Archive of layout-test-results from ews105 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 13 Build Bot 2015-12-02 20:49:36 PST
Comment on attachment 266502 [details]
it ran a program

Attachment 266502 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/509424

Number of test failures exceeded the failure limit.
Comment 14 Build Bot 2015-12-02 20:49:38 PST
Created attachment 266506 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 15 Filip Pizlo 2015-12-02 22:11:24 PST
Created attachment 266513 [details]
the patch
Comment 16 WebKit Commit Bot 2015-12-02 22:12:34 PST
Attachment 266513 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/ftl/FTLOSRExitHandle.cpp:43:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/ftl/FTLOSRExitCompiler.cpp:242:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/ftl/FTLLowerDFGToLLVM.cpp:9380:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/ftl/FTLOSRExit.cpp:92:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/ftl/FTLOSRExit.cpp:117:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/ftl/FTLOSRExit.cpp:122:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
Total errors found: 6 in 30 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 17 Saam Barati 2015-12-03 01:54:04 PST
Comment on attachment 266513 [details]
the patch

View in context: https://bugs.webkit.org/attachment.cgi?id=266513&action=review

r=me with a naming suggestion

> Source/JavaScriptCore/ftl/FTLOSRExit.h:114
> +    RefPtr<OSRExitHandle> appendOSRExit(

To me the append* names here read a bit weird.
To me it would make more sense to just call them emitOSRExit and emitOSRExitLater.
Comment 18 Filip Pizlo 2015-12-03 10:20:30 PST
Comment on attachment 266513 [details]
the patch

View in context: https://bugs.webkit.org/attachment.cgi?id=266513&action=review

>> Source/JavaScriptCore/ftl/FTLOSRExit.h:114
>> +    RefPtr<OSRExitHandle> appendOSRExit(
> 
> To me the append* names here read a bit weird.
> To me it would make more sense to just call them emitOSRExit and emitOSRExitLater.

I can dig it.
Comment 19 Filip Pizlo 2015-12-03 12:02:49 PST
Landed in http://trac.webkit.org/changeset/193362